libstdc++: __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false > Class Template Reference

libstdc++

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false > Class Template Reference

`#include <ranged_probe_fn.hpp>`

## Protected Types
typedef Comb_Probe_Fn | comb_probe_fn_base
typedef Hash_Fn | hash_fn_base
typedef rebind_traits< _Alloc, Key >::const_reference | key_const_reference
typedef Probe_Fn | probe_fn_base
typedef _Alloc::size_type | size_type

## Protected Member Functions
| ranged_probe_fn (size_type)
| ranged_probe_fn (size_type, const Hash_Fn &)
| ranged_probe_fn (size_type, const Hash_Fn &, const Comb_Probe_Fn &)
| ranged_probe_fn (size_type, const Hash_Fn &, const Comb_Probe_Fn &, const Probe_Fn &)
void | notify_resized (size_type)
size_type | operator() (key_const_reference) const
size_type | operator() (key_const_reference, size_type, size_type) const
void | swap (ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false > &)

## Detailed Description

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>
class __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >

Specialization 1
The client supplies a probe function and a ranged probe function, and requests that hash values not be stored.

Definition at line 71 of file ranged_probe_fn.hpp.

## Member Typedef Documentation

## ◆ comb_probe_fn_base

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef Comb_Probe_Fn __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::comb_probe_fn_base
| protected

Definition at line 77 of file ranged_probe_fn.hpp.

## ◆ hash_fn_base

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef Hash_Fn __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::hash_fn_base
| protected

Definition at line 78 of file ranged_probe_fn.hpp.

## ◆ key_const_reference

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef rebind_traits<_Alloc,Key>::const_reference __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::key_const_reference
| protected

Definition at line 81 of file ranged_probe_fn.hpp.

## ◆ probe_fn_base

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef Probe_Fn __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::probe_fn_base
| protected

Definition at line 79 of file ranged_probe_fn.hpp.

## ◆ size_type

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef _Alloc::size_type __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::size_type
| protected

Definition at line 76 of file ranged_probe_fn.hpp.

## Constructor & Destructor Documentation

## ◆ ranged_probe_fn() [1/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::ranged_probe_fn | ( | size_type | size | ) |
| protected

Definition at line 106 of file ranged_probe_fn.hpp.

## ◆ ranged_probe_fn() [2/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::ranged_probe_fn | ( | size_type | size,
|  | const Hash_Fn & | r_hash_fn )
| protected

Definition at line 111 of file ranged_probe_fn.hpp.

## ◆ ranged_probe_fn() [3/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::ranged_probe_fn | ( | size_type | size,
|  | const Hash_Fn & | r_hash_fn,
|  | const Comb_Probe_Fn & | r_comb_probe_fn )
| protected

Definition at line 117 of file ranged_probe_fn.hpp.

## ◆ ranged_probe_fn() [4/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::ranged_probe_fn | ( | size_type | size,
|  | const Hash_Fn & | r_hash_fn,
|  | const Comb_Probe_Fn & | r_comb_probe_fn,
|  | const Probe_Fn & | r_probe_fn )
| protected

Definition at line 124 of file ranged_probe_fn.hpp.

## Member Function Documentation

## ◆ notify_resized()

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

void __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::notify_resized | ( | size_type | size | ) |
| protected

Definition at line 142 of file ranged_probe_fn.hpp.

## ◆ operator()() [1/2]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::size_type __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::operator() | ( | key_const_reference | r_key | ) | const
| inlineprotected

Definition at line 148 of file ranged_probe_fn.hpp.

## ◆ operator()() [2/2]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::size_type __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::operator() | ( | key_const_reference | ,
|  | size_type | hash,
|  | size_type | i ) const
| inlineprotected

Definition at line 154 of file ranged_probe_fn.hpp.

## ◆ swap()

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

void __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false >::swap | ( | ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, false > & | other | ) |
| protected

Definition at line 133 of file ranged_probe_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_probe_fn.hpp